<?php
namespace Claromentis\People\Validator;

$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_62d701c" . "3c53404f" . "06345eb3" . "5720a47b" . "4" => base64_decode("aXNfbnVtZXJpY" . "w=="), "_dc99f29" . "eb97c274" . "b4e47f67" . "01fb2d84" . "2" => base64_decode("TWV0YWRhdGEgZ" . "mllbGQg"), "_535e3fcb3f5d89c525bb618a08" . "cc8dcc" => base64_decode("LiBWYWx1ZSBtdXN0IGJlIGVpdGhlciBhIGRvY3VtZ" . "W50IElEIG9yIGEgZG9jdW1lbnQgb2JqZWN0"), "_bd71c3b5c201fc11db82ed14ce42" . "4de5" => base64_decode("aW5fYXJyYXk" . "="), "_d155d43a39de93f8581" . "23c6b6ce31d8a" => base64_decode("cHJlZ19tYX" . "RjaA=="), "_4b4a03dbe" . "69a4c39db0" . "14be2875a7" . "313" => base64_decode("Tm9uLW51bWVyaWMg" . "dmFsdWUgIg=="), "_d013620d4b36b1d03509" . "cbeff31bbdb9" => base64_decode("IiBnaXZlbiBmb3IgbnVtZXJpYyBma" . "WVsZCA="), "_3aec16c1aa2104da" . "778e412207d6c415" => base64_decode("L15cZHsxNH1" . "8XGR7OH0kLw" . "=="), "_fa96cdf58bff3b0695fb2b" . "c0803d7b12" => base64_decode("IGRvZ" . "XMgbm" . "90IGV" . "4aXN0"), "_a827c5bc10b88ccab" . "760d95c58bfbeaa" => base64_decode("Q291bGQgbm90IHBhcnNlIHZhbHVl" . "ICI="), "_bb26699a673361ff7c1744" . "4a2a82deba" => base64_decode("SW52YWxpZCB2YWx1ZSBnaXZlb" . "iBmb3IgZG9jdW1lbnQgbGluay" . "BmaWVsZCA="), "_27ba77e349" . "cbe144e8794" . "d0c0497a106" => base64_decode("IiBnaXZlbiBmb3Igc2Vs" . "ZWN0IGZpZWxkIA=="), "_2cb499b451eb718" . "f841aaa78dc70cc5" . "2" => base64_decode("IiBmb3IgZGF0ZS10aW1lIGZpZW" . "xkIA=="), "_ac927f4168510971a59508f1f" . "08cf98a" => base64_decode("L15cZHs" . "4fSQv"), "_a7fdbac2a6d0eb" . "b5bb8ea569e8173" . "d7b" => base64_decode("IiBmb3IgZGF0ZSBmaWV" . "sZCA="), "_66a6b98e1f1601e30de10fe" . "b344fcdb6" => base64_decode("SW52YWxpZCB2YWx1Z" . "SAi"));
use Claromentis\People\Exception\ValidationException;
use Claromentis\People\Repository\UserRepository;
class MetadataValidator
{
    protected $user_repository;
    public function __construct(UserRepository $_eeeeb0d673b7b0fd0bdca58b5541c3e0)
    {
        $this->user_repository = $_eeeeb0d673b7b0fd0bdca58b5541c3e0;
    }
    
    
    
    
    
    
    
    public function Validate(int $_8bd60f167b34bb2f633dd93934749b67, array $values) : array
    {
        $_cd32cee6e5836ae05dc7b722f2ec21e9 = new \MetaDataSet($_8bd60f167b34bb2f633dd93934749b67);
        $_cd32cee6e5836ae05dc7b722f2ec21e9->LoadAllFields();
        $output = [];
        foreach ($values as $key => $value) {
            $field = $_cd32cee6e5836ae05dc7b722f2ec21e9->GetMetaFieldByName($key);
            if ($field === false) {
                throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_dc99f29eb97c274b4e47f6701f" . "b2d842"] . $key . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_fa96cdf58bff3b0695fb2bc" . "0803d7b12"]);
            }
            switch ($field->GetMetaType()) {
                case META_TYPE_TEXT:
                case META_TYPE_DEFAULT:
                    break;
                case META_TYPE_INT:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_62d701c3c53404f06345eb35720" . "a47b4"]($value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_4b4a03dbe69a4c39db014be" . "2875a7313"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_d013620d4b36b1d03509cbeff31bbdb" . "9"] . $key);
                    }
                    break;
                case META_TYPE_DATETIME:
                    if (!$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_d155d43a39de93f" . "858123c6b6ce31d8" . "a"]($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_3aec16c1aa2104da778e" . "412207d6c415"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_a827c5b" . "c10b88cc" . "ab760d95" . "c58bfbea" . "a"] . $value . $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_2cb499b451eb718f841aaa78dc70cc" . "52"] . $key);
                    }
                    break;
                case META_TYPE_SELECT:
                    $field->values->Load();
                    $_4d67cdd33a7358d7cc3b5e51df410bbb = $field->values->GetAllValues();
                    if (!$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_bd71c3b5c201fc11db82" . "ed14ce424de5"]($value, $_4d67cdd33a7358d7cc3b5e51df410bbb)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_66a6b98e1f1601e30de10feb344fcd" . "b6"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_27ba77e349cbe" . "144e8794d0c049" . "7a106"] . $key);
                    }
                    break;
                case META_TYPE_CHECK:
                    break;
                case META_TYPE_DOCLINK:
                    if (!$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_62d701c3c53404f06345eb35720" . "a47b4"]($value) && !$value instanceof \ERMSDocument && !$value instanceof \Claromentis\Core\Metadata\Type\DocumentObject) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_bb26699a673361ff7c17444a2a82" . "deba"] . $key . $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_535e3fcb3f5d89c525b" . "b618a08cc8dcc"]);
                    }
                    break;
                case META_TYPE_LINK:
                    break;
                case META_TYPE_USER:
                    break;
                case META_TYPE_DATE:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_d155d43a39de93f858123c6b6ce" . "31d8a"]($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_ac927f41685" . "10971a59508f" . "1f08cf98a"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_a827c5bc10b88ccab760d95c58bfb" . "eaa"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_a7fdbac2a6d0ebb" . "5bb8ea569e8173d7" . "b"] . $key);
                    }
                    break;
                case META_TYPE_SPECIAL:
                    break;
                case META_TYPE_FILE:
                    break;
                case META_TYPE_ADDRESS:
                    break;
                case META_TYPE_MULTISELECT:
                    break;
                case META_TYPE_DATE_NO_YEAR:
                    break;
                case META_TYPE_IMAGE:
                    break;
            }
            $output[$key] = $value;
        }
    }
}